<template>
    <div>
        <h1>{{ $t('demo.welcome') }}</h1>
        <p>{{ $t('demo.description') }}</p>

        <hr>
        $t('company.wallet.header', {nbTransfers: xxx})
        <p>{{ $t('company.wallet.header', {nbTransfers: 1000}) }}</p>
        <p>{{ $t('company.wallet.header', {nbTransfers: 0}) }}</p>

        <hr>
        $t('cost.plus.mission.freelance.notification.client.waiting.for.validation.work.amount.since.mission.start', {temporalUnit: "xxx"})
        <p>{{ $t('cost.plus.mission.freelance.notification.client.waiting.for.validation.work.amount.since.mission.start', {temporalUnit: "DAY"}) }}</p>
        <p>{{ $t('cost.plus.mission.freelance.notification.client.waiting.for.validation.work.amount.since.mission.start', {temporalUnit: "HOUR"}) }}</p>

        <hr>
        $t('dashboard.general.pts', {nbPoints: xxx})
        <p>{{ $t('dashboard.general.pts', {nbPoints: 1}) }}</p>
        <p>{{ $t('dashboard.general.pts', {nbPoints: 100}) }}</p>

        <hr>
        $t('dashboard.splash.screen.title', {step: 'xxx'})
        <p>{{ $t('dashboard.splash.screen.title', {step: "NEWBIE", freelanceFirstName: "Hugo"}) }}</p>
        <p>{{ $t('dashboard.splash.screen.title', {step: "HOPWORKER"}) }}</p>


        <NuxtLink to="/">
            Home
        </NuxtLink>

        <hr>
        <div>
            <div v-if="languages">
                <span v-for="(lng, index) in Object.keys(languages)" :key="lng">
                  <a v-if="$i18next.resolvedLanguage !== lng" v-on:click="$i18next.changeLanguage(lng)">
                    {{ languages[lng].nativeName }}
                  </a>
                  <strong v-if="$i18next.resolvedLanguage === lng">
                    {{ languages[lng].nativeName }}
                  </strong>
                  <span v-if="index < (Object.keys(languages).length - 1)">&nbsp;|&nbsp;</span>
                </span>
            </div>
        </div>
    </div>
</template>
<script lang="ts">

export default ({
    data() {
        return {
            languages: {
                en: {nativeName: 'English'},
                fr: {nativeName: 'Francais'}
            }
        }
    },
    mounted() {
        console.log(this.$t("common.hello"))
    }
});
</script>
